## kodi 20.0%2Bdfsg

=== xbmc/favourites/CMakeLists.txt ===
set(SOURCES ContextMenus.cpp
            GUIDialogFavourites.cpp
            GUIViewStateFavourites.cpp
            GUIWindowFavourites.cpp
            FavouritesService.cpp
            FavouritesURL.cpp)

set(HEADERS ContextMenus.h
            GUIDialogFavourites.h
            GUIViewStateFavourites.h
            GUIWindowFavourites.h
            FavouritesService.h
            FavouritesURL.h)

core_add_library(favourites)

=== xbmc/cores/AudioEngine/CMakeLists.txt ===
set(SOURCES AEResampleFactory.cpp
            AESinkFactory.cpp
            Encoders/AEEncoderFFmpeg.cpp
            Engines/ActiveAE/ActiveAE.cpp
            Engines/ActiveAE/ActiveAEBuffer.cpp
            Engines/ActiveAE/ActiveAEFilter.cpp
            Engines/ActiveAE/ActiveAESink.cpp
            Engines/ActiveAE/ActiveAEStream.cpp
            Engines/ActiveAE/ActiveAESound.cpp
            Engines/ActiveAE/ActiveAESettings.cpp
            Utils/AEBitstreamPacker.cpp
            Utils/AEChannelInfo.cpp
            Utils/AEDeviceInfo.cpp
            Utils/AELimiter.cpp
            Utils/AEPackIEC61937.cpp
            Utils/AEStreamInfo.cpp
            Utils/AEUtil.cpp)

set(HEADERS AEResampleFactory.h
            AESinkFactory.h
            Encoders/AEEncoderFFmpeg.h
            Engines/ActiveAE/ActiveAE.h
            Engines/ActiveAE/ActiveAEBuffer.h
            Engines/ActiveAE/ActiveAEFilter.h
            Engines/ActiveAE/ActiveAESink.h
            Engines/ActiveAE/ActiveAESound.h
            Engines/ActiveAE/ActiveAEStream.h
            Engines/ActiveAE/ActiveAESettings.h
            Interfaces/AE.h
            Interfaces/AEEncoder.h
            Interfaces/AEResample.h
            Interfaces/AESink.h
            Interfaces/AESound.h
            Interfaces/AEStream.h
            Interfaces/IAudioCallback.h
            Interfaces/ThreadedAE.h
            Utils/AEAudioFormat.h
            Utils/AEBitstreamPacker.h
            Utils/AEChannelData.h
            Utils/AEChannelInfo.h
            Utils/AEDeviceInfo.h
            Utils/AELimiter.h
            Utils/AEPackIEC61937.h
            Utils/AERingBuffer.h
            Utils/AEStreamData.h
            Utils/AEStreamInfo.h
            Utils/AEUtil.h)

if(ALSA_FOUND)
  list(APPEND SOURCES Sinks/AESinkALSA.cpp
                      Utils/AEELDParser.cpp)
  list(APPEND HEADERS Sinks/AESinkALSA.h
                      Utils/AEELDParser.h)

  if(NOT "x11" IN_LIST CORE_PLATFORM_NAME_LC)
    list(APPEND SOURCES Sinks/alsa/ALSAHControlMonitor.cpp)
    list(APPEND HEADERS Sinks/alsa/ALSAHControlMonitor.h)
  endif()

  if(UDEV_FOUND)
    list(APPEND SOURCES Sinks/alsa/ALSADeviceMonitor.cpp)
    list(APPEND HEADERS Sinks/alsa/ALSADeviceMonitor.h)
  endif()
endif()

if(PULSEAUDIO_FOUND)
  list(APPEND SOURCES Sinks/AESinkPULSE.cpp)
  list(APPEND HEADERS Sinks/AESinkPULSE.h)
endif()

if(PIPEWIRE_FOUND)
  list(APPEND SOURCES Sinks/pipewire/AESinkPipewire.cpp
                      Sinks/pipewire/Pipewire.cpp
                      Sinks/pipewire/PipewireContext.cpp
                      Sinks/pipewire/PipewireCore.cpp
                      Sinks/pipewire/PipewireNode.cpp
                      Sinks/pipewire/PipewireProxy.cpp
                      Sinks/pipewire/PipewireRegistry.cpp
                      Sinks/pipewire/PipewireStream.cpp
                      Sinks/pipewire/PipewireThreadLoop.cpp)
  list(APPEND HEADERS Sinks/pipewire/AESinkPipewire.h
                      Sinks/pipewire/Pipewire.h
                      Sinks/pipewire/PipewireContext.h
                      Sinks/pipewire/PipewireCore.h
                      Sinks/pipewire/PipewireNode.h
                      Sinks/pipewire/PipewireProxy.h
                      Sinks/pipewire/PipewireRegistry.h
                      Sinks/pipewire/PipewireStream.h
                      Sinks/pipewire/PipewireThreadLoop.h)
endif()

if(SNDIO_FOUND)
  list(APPEND SOURCES Sinks/AESinkSNDIO.cpp)
  list(APPEND HEADERS Sinks/AESinkSNDIO.h)
endif()

if(FFMPEG_FOUND)
  list(APPEND SOURCES Engines/ActiveAE/ActiveAEResampleFFMPEG.cpp)
  list(APPEND HEADERS Engines/ActiveAE/ActiveAEResampleFFMPEG.h)
endif()

if(CORE_SYSTEM_NAME MATCHES windows)
  list(APPEND SOURCES Sinks/AESinkWASAPI.cpp
                      Sinks/windows/AESinkFactoryWin.cpp)
  list(APPEND HEADERS Sinks/AESinkWASAPI.h
                      Sinks/windows/AESinkFactoryWin.h)
  if(CORE_SYSTEM_NAME STREQUAL windowsstore)
    list(APPEND SOURCES Sinks/AESinkXAudio.cpp
                        Sinks/windows/AESinkFactoryWin10.cpp)
    list(APPEND SOURCES Sinks/AESinkXAudio.h)
  elseif(CORE_SYSTEM_NAME STREQUAL windows)
    list(APPEND SOURCES Sinks/AESinkDirectSound.cpp
                        Sinks/windows/AESinkFactoryWin32.cpp)
    list(APPEND SOURCES Sinks/AESinkDirectSound.h)
  endif()
endif()

if(CORE_SYSTEM_NAME STREQUAL osx)
  list(APPEND SOURCES Sinks/AESinkDARWINOSX.cpp
                      Sinks/darwin/CoreAudioHelpers.cpp
                      Sinks/osx/AEDeviceEnumerationOSX.cpp
                      Sinks/osx/CoreAudioChannelLayout.cpp
                      Sinks/osx/CoreAudioDevice.cpp
                      Sinks/osx/CoreAudioHardware.cpp
                      Sinks/osx/CoreAudioStream.cpp)
  list(APPEND HEADERS Sinks/AESinkDARWINOSX.h
                      Sinks/darwin/CoreAudioHelpers.h
                      Sinks/osx/AEDeviceEnumerationOSX.h
                      Sinks/osx/CoreAudioChannelLayout.h
                      Sinks/osx/CoreAudioDevice.h
                      Sinks/osx/CoreAudioHardware.h
                      Sinks/osx/CoreAudioStream.h)
endif()

if(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  list(APPEND SOURCES Sinks/darwin/CoreAudioHelpers.cpp)
  list(APPEND HEADERS Sinks/darwin/CoreAudioHelpers.h)
  if("ios" IN_LIST CORE_PLATFORM_NAME_LC)
    list(APPEND SOURCES Sinks/AESinkDARWINIOS.mm)
    list(APPEND HEADERS Sinks/AESinkDARWINIOS.h)
  elseif("tvos" IN_LIST CORE_PLATFORM_NAME_LC)
    list(APPEND SOURCES Sinks/AESinkDARWINTVOS.mm)
    list(APPEND HEADERS Sinks/AESinkDARWINTVOS.h)
  endif()
endif()

if(CORE_SYSTEM_NAME STREQUAL android)
  list(APPEND SOURCES Sinks/AESinkAUDIOTRACK.cpp)
  list(APPEND HEADERS Sinks/AESinkAUDIOTRACK.h)
endif()

if(CORE_SYSTEM_NAME STREQUAL freebsd)
  list(APPEND SOURCES Sinks/AESinkOSS.cpp)
  list(APPEND HEADERS Sinks/AESinkOSS.h)
endif()

core_add_library(audioengine)
target_include_directories(${CORE_LIBRARY} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})
if(NOT CORE_SYSTEM_NAME STREQUAL windows AND NOT CORE_SYSTEM_NAME STREQUAL windowsstore)
  if(HAVE_SSE)
    target_compile_options(${CORE_LIBRARY} PRIVATE -msse)
  endif()
  if(HAVE_SSE2)
    target_compile_options(${CORE_LIBRARY} PRIVATE -msse2)
  endif()
endif()

=== xbmc/peripherals/devices/CMakeLists.txt ===
set(SOURCES Peripheral.cpp
            PeripheralBluetooth.cpp
            PeripheralDisk.cpp
            PeripheralHID.cpp
            PeripheralImon.cpp
            PeripheralJoystick.cpp
            PeripheralKeyboard.cpp
            PeripheralMouse.cpp
            PeripheralNIC.cpp
            PeripheralNyxboard.cpp
            PeripheralTuner.cpp)

set(HEADERS Peripheral.h
            PeripheralBluetooth.h
            PeripheralDisk.h
            PeripheralHID.h
            PeripheralImon.h
            PeripheralJoystick.h
            PeripheralKeyboard.h
            PeripheralMouse.h
            PeripheralNIC.h
            PeripheralNyxboard.h
            PeripheralTuner.h)

if(CEC_FOUND)
  list(APPEND SOURCES PeripheralCecAdapter.cpp)
  list(APPEND HEADERS PeripheralCecAdapter.h)
endif()

core_add_library(peripherals_devices)

=== xbmc/settings/windows/CMakeLists.txt ===
set(SOURCES GUIControlSettings.cpp
            GUIWindowSettings.cpp
            GUIWindowSettingsCategory.cpp
            GUIWindowSettingsScreenCalibration.cpp)

set(HEADERS GUIControlSettings.h
            GUIWindowSettings.h
            GUIWindowSettingsCategory.h
            GUIWindowSettingsScreenCalibration.h)

core_add_library(settings_windows)

=== tools/EventClients/Clients/WiiRemote/CMakeLists.txt ===
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(Bluetooth REQUIRED)
find_package(CWiid REQUIRED)
find_package(GLU REQUIRED)

set(SOURCES CWIID_WiiRemote.cpp)

set(HEADERS CWIID_WiiRemote.h)

add_executable(${APP_NAME_LC}-wiiremote ${SOURCES} ${HEADERS})

target_include_directories(${APP_NAME_LC}-wiiremote
                           PRIVATE ${BLUETOOTH_INCLUDE_DIRS}
                                   ${CWIID_INCLUDE_DIRS})

target_link_libraries(${APP_NAME_LC}-wiiremote
                      PRIVATE ${SYSTEM_LDFLAGS}
                              ${BLUETOOTH_LIBRARIES}
                              ${CWIID_LIBRARIES})

target_compile_options(${APP_NAME_LC}-wiiremote PRIVATE ${ARCH_DEFINES})

=== tools/depends/native/Mako/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile ../../download-files.include

# lib name, version
LIBNAME=Mako
VERSION=1.1.3
ARCHIVE=$(LIBNAME)-$(VERSION).tar.gz
SHA512=a9b94fa34a61e7794b6e4549fa0bada6ff84dfb0d9edb8d5c7f9b95d12184fa4499f42303cfee720b576a9f7e986a57d91ad3aeb26c9f93154dbc08fb2975952
include ../../download-files.include

all: .installed-$(PLATFORM)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)

.installed-$(PLATFORM): $(PLATFORM)
	cd $(PLATFORM); $(PREFIX)/bin/python3 setup.py install --prefix=$(PREFIX)
	touch $@

clean:
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/MarkupSafe/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile ../../download-files.include

# lib name, version
LIBNAME=MarkupSafe
VERSION=1.1.1
ARCHIVE=$(LIBNAME)-$(VERSION).tar.gz
SHA512=f3014e6131a3ab866914c5635b5397ef71906bffb1b6f8c5f2ed2acf167429ff7914236d38943e872683a57a9be9669f4c5aace6274f3307ab21ef25373db0b6
include ../../download-files.include

all: .installed-$(PLATFORM)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)

.installed-$(PLATFORM): $(PLATFORM)
	cd $(PLATFORM); $(PREFIX)/bin/python3 setup.py install --prefix=$(PREFIX)
	touch $@

clean:
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/autoconf-archive/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile ../../download-files.include

# lib name, version
LIBNAME=autoconf-archive
VERSION=2021.02.19
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.xz
SHA512=a968c355c3cf66d74dc5b452141afbdf763e84a6c43b12c25da9a08482910d6d57ba3952aaf270d8cd5fd8b9d2dadf2d7d943ae2e1b067d68b71d2738d881aa0
include ../../download-files.include

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX)

LIBDYLIB=$(PLATFORM)/bin/autoconf

all: .installed-$(PLATFORM)


$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)

$(LIBDYLIB): $(PLATFORM)
	cd $(PLATFORM); $(CONFIGURE)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/autoconf/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile ../../download-files.include

# lib name, version
LIBNAME=autoconf
VERSION=2.71
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.xz
SHA512=73d32b4adcbe24e3bafa9f43f59ed3b6efbd3de0f194e5ec90375f35da1199c583f5d3e89139b7edbad35171403709270e339ffa56a2ecb9b3123e9285021ff0
include ../../download-files.include

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX)

LIBDYLIB=$(PLATFORM)/bin/autoconf

all: .installed-$(PLATFORM)


$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)

$(LIBDYLIB): $(PLATFORM)
	cd $(PLATFORM); $(CONFIGURE)
	$(MAKE) -C $(PLATFORM) install
# patch autoreconf to not use gtkdocize. Details: https://savannah.gnu.org/support/?110503
	cd $(NATIVEPREFIX); sed -ie 's|$uses_gtkdoc = 1              if \$$macro eq "GTK_DOC_CHECK";|$uses_gtkdoc = 0;  #            if \$$macro eq "GTK_DOC_CHECK";|' bin/autoreconf

.installed-$(PLATFORM): $(LIBDYLIB)
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/automake/Makefile ===
include ../../Makefile.include
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile 01-fix-help2man-error.patch ../../download-files.include

# lib name, version
LIBNAME=automake
VERSION=1.16.5
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.xz
SHA512=3084ae543aa3fb5a05104ffb2e66cfa9a53080f2343c44809707fd648516869511500dba50dae67ff10f92a1bf3b5a92b2a0fa01cda30adb69b9da03994d9d88
include ../../download-files.include

# configuration settings
CONFIGURE=./configure --prefix=$(NATIVEPREFIX)

LIBDYLIB=$(PLATFORM)/bin/automake

all: .installed-$(PLATFORM)


$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../01-fix-help2man-error.patch
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/cmake/Makefile ===
include ../../Makefile.include
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile ../../download-files.include

APPNAME=cmake
VERSION=3.21.3
SOURCE=$(APPNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz
SHA512=0571b78443906c5ad51fb0fafbd32d565caf628cc150b1190802cb819e8497c108ea6b7ecaa03133df2dbbceb730696d24b4df38468c92088c769ce4076d9e9f
include ../../download-files.include

# configuration settings

SETENV=CC="$(CC_FOR_BUILD)" CXX="$(CXX_FOR_BUILD)" LD=$(LD_FOR_BUILD) CFLAGS="$(NATIVE_CFLAGS)" \
	CXXFLAGS="$(NATIVE_CXXFLAGS)" LDFLAGS="$(NATIVE_LDFLAGS)"

ifeq ($(NATIVE_OS), osx)
  SETENV+=SDKROOT=$(shell xcrun --show-sdk-path)
endif

CONFIGURE=./bootstrap --prefix=$(NATIVEPREFIX) --system-curl
ifeq ($(USE_CCACHE), yes)
	CONFIGURE+=--enable-ccache
endif

APP=$(PLATFORM)/bin/$(APPNAME)

all: .installed-$(PLATFORM)


$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE) $(DEPS)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(SETENV) $(CONFIGURE)

$(APP): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)
	touch $@

.installed-$(PLATFORM): $(APP)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/dpkg/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile 01-no-gnu-patch.patch 02-perl-min-version.patch 03-lzma-compression.patch ../../download-files.include

# lib name, version
LIBNAME=dpkg
VERSION=1.19.7
SOURCE=$(LIBNAME)_$(VERSION)
ARCHIVE=$(SOURCE).tar.xz
SHA512=9ca441dc265baf5359c71617aef1c57504a7097c26ea57108b88dadc511bfa9918fcc765d8c67cec9def9916c5df92d6cabe508446dbc7223a29b45260445e81
include ../../download-files.include

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --enable-static --disable-shared --disable-devel-docs \
	  --disable-linker-optimizations --disable-nls --disable-dselect --disable-start-stop-daemon \
	  ac_cv_header_libintl_h=no

LIBDYLIB=$(PLATFORM)/dpkg-deb/dpkg-deb

all: .installed-$(PLATFORM)


$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../01-no-gnu-patch.patch
	cd $(PLATFORM); patch -p1 -i ../02-perl-min-version.patch
	cd $(PLATFORM); patch -p1 -i ../03-lzma-compression.patch
	cd $(PLATFORM); $(AUTORECONF) -vif
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM)/dpkg-deb install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== debian/changelog ===
kodi (2:20.0+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable the ffmpeg 5 patch.
  * Set minimum ffmpeg to 4.4.1.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 24 Jan 2023 15:46:51 -0800

kodi (2:20.0+dfsg-1) unstable; urgency=medium

  * New upstream version 20.0+dfsg
  * d/rules: Add alpha and arm64 overrides
  * Refresh ports patch
  * Refresh libdvd patch
  * Refresh cdatetime-std-chrono patchset
  * Drop patches merged upstream
  * Refresh ffmpeg5 patch

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 21 Jan 2023 18:03:44 +0000

=== debian/control ===
Source: kodi
Priority: optional
Section: video
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: autoconf,
               automake,
               autopoint,
               cmake,
               curl,
               debhelper-compat (= 13),
               default-jre:native,
               default-libmysqlclient-dev,
               dh-python,
               doxygen,
               fontforge-nox,
               fonts-dejavu-core,
               fonts-droid-fallback,
               gawk,
               gettext,
               gperf,
               groovy:native,
               libasound2-dev | libasound-dev,
               libass-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libavcodec-dev (>= 7:4.4.1),
               libavfilter-dev (>= 7:4.4.1),
               libavformat-dev (>= 7:4.4.1),
               libavutil-dev (>= 7:4.4.1),
               libbluetooth-dev,
               libbluray-dev (>= 1:0.7.0),
               libcap-dev,
               libcdio-dev,
               libcec-dev (>= 4~),
               libcommons-lang-java:native,
               libcrossguid-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libcwiid-dev [linux-any],
               libdav1d-dev (>= 0.7.0),
               libdbus-1-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libflatbuffers-dev,
               libfmt-dev (>= 6.1.2),
               libfontconfig-dev,
               libfreetype-dev | libfreetype6-dev,
               libfribidi-dev,
               libfstrcmp-dev,
               libgbm-dev,
               libgcrypt-dev,
               libgif-dev,
               libgif-dev:native,
               libgl-dev,
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libgnutls28-dev,
               libgpg-error-dev,
               libgtest-dev (>= 1.10.0~),
               libhowardhinnant-date-dev,
               libinput-dev,
               libiso9660++-dev,
               libiso9660-dev,
               libjpeg-dev,
               libjpeg-dev:native,
               libkissfft-dev (>= 131.1.0~),
               liblcms2-dev,
               liblirc-dev | liblircclient-dev,
               libltdl-dev,
               liblzo2-dev,
               liblzo2-dev:native,
               libmicrohttpd-dev,
               libnfs-dev,
               libomxil-bellagio-dev [armel],
               libpcre3-dev,
               libpipewire-0.3-dev,
               libplist-dev,
               libpng-dev,
               libpng-dev:native,
               libpostproc-dev (>= 7:4.4.1),
               libpulse-dev,
               libpython3-dev,
               librsvg2-bin,
               libshairplay-dev (>= 0.9.0~),
               libsmbclient-dev,
               libsndio-dev,
               libspdlog-dev (>= 1:1.5.0),
               libsqlite3-dev,
               libswresample-dev (>= 7:4.4.1),
               libswscale-dev (>= 7:4.4.1),
               libtag1-dev (>= 1.8),
               libtinyxml-dev,
               libtool,
               libudev-dev,
               libudfread-dev (>= 1.0.0),
               libva-dev,
               libvdpau-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               libxslt1-dev,
               libxt-dev,
               nasm [i386],
               python3-dev:any,
               rapidjson-dev,
               swig,
               unzip,
               uuid-dev,
               valgrind [amd64 i386],
               wayland-protocols,
               waylandpp-dev,
               zip,
               zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi.git
Homepage: https://kodi.tv/

Package: kodi
Architecture: any
Depends: kodi-bin (<< ${source:Version}.1~),
         kodi-bin (>= ${source:Version}),
         kodi-data (>= ${source:Version}),
         ${misc:Depends},
         kodi-repository-kodi | kodi-repository 
Recommends: kodi-visualization-spectrum
# Recommends: kodi-repository-kodi | kodi-repository, kodi-visualization-spectrum
Breaks: xbmc (<< 2:13.2+dfsg1-5~), ${kodi:APIBREAKS}
Provides: ${kodi:APIPROVIDES}
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (executable binaries)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the kodi binaries.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: libjs-iscroll, libjs-jquery, mesa-utils, x11-utils, ${misc:Depends},
            fonts-noto-hinted,
            fonts-noto-mono,
            fonts-roboto-hinted,
            fonts-roboto-unhinted
Breaks: xbmc (<< 2:13.2+dfsg1-5~)
Replaces: xbmc (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (arch-independent data package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-bin
Architecture: any
Depends: python3-pil,
         python3-pycryptodome,
         ${dlopenlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: udisks2, ${shlibs:Recommends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
Conflicts: libgl1-mesa-swx11
Replaces: xbmc-bin (<< 2:13.2+dfsg1-5~)
Description: Open Source Home Theatre (architecture-dependent files)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains the binaries needed to have a working Kodi.

Package: kodi-eventclients-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Open Source Home Theatre (Event Client Common package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-python
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}),
         python3-bluez,
         ${misc:Depends},
         ${python3:Depends}
Breaks: kodi-eventclients-common (<< 2:19.4+dfsg1-1~)
Replaces: kodi-eventclients-common (<< 2:19.4+dfsg1-1~)
Description: Open Source Home Theatre (Event Client Python package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the virtual Python package for Kodi Event Client.

Package: kodi-eventclients-dev-common
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Breaks: kodi-eventclients-dev (<< 2:19.4+dfsg1-1~)
Replaces: kodi-eventclients-dev (<< 2:19.4+dfsg1-1~)
Description: Open Source Home Theatre (Event Client common dev package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital

=== debian/rules ===
#!/usr/bin/make -f

# Avoid custom build rule silencing
export V=1

# Include /usr/share/dpkg/pkg-info.mk to get DEB_{SOURCE,VERSION}
include /usr/share/dpkg/pkg-info.mk

# Include /usr/share/dpkg/architecture.mk to get DEB_HOST_{MULTI,}ARCH
include /usr/share/dpkg/architecture.mk

# bindnow breaks wrappers used in with libdvdread
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow

DVDNAV_COMPONENT = libdvdnav-embedded
DVDNAV_URL = tools/depends/target/libdvdnav/libdvdnav-embedded.tar.xz
DVDREAD_COMPONENT = libdvdread-embedded
DVDREAD_URL = tools/depends/target/libdvdread/libdvdread-embedded.tar.xz

export DEB_CFLAGS_MAINT_STRIP  = -O2
export DEB_CFLAGS_MAINT_APPEND  = -O3
export DEB_CXXFLAGS_MAINT_STRIP  = -O2
export DEB_CXXFLAGS_MAINT_APPEND  = -O3

BUILD_WAYLAND := yes
BUILD_GBM := yes

NUMCPU =
# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NUMCPU := $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# Various environment variables to set
export DEB_LDFLAGS_MAINT_APPEND = -latomic -lpthread
# for embedded libdvd* and Kodi from Debian patch:
export DEB_CPPFLAGS_MAINT_APPEND = -D_XBMC -DDEB_VERSION=\"$(DEB_VERSION)\"

KODI_PLATFORMS := x11

ifeq ($(BUILD_WAYLAND),yes)
	KODI_PLATFORMS := $(KODI_PLATFORMS) wayland
endif
ifeq ($(BUILD_GBM),yes)
	KODI_PLATFORMS := $(KODI_PLATFORMS) gbm
endif

# basilgello: keep these overrides to ensure CMake honors
# the 32-bit architecture requested by 'dpkg-buildpackage'
# (like 'i486-linux') on 64-bit machines (like 'amd64').
ifneq (,$(filter alpha,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=alpha
else ifneq (,$(filter amd64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=x86_64-linux
else ifneq (,$(filter arm64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=aarch64
else ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=arm
else ifneq (,$(filter i386,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=i486-linux
else ifneq (,$(filter m68k,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=m68k
else ifneq (,$(filter mipsel,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=mips
else ifneq (,$(filter mips64el,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=mips64
else ifneq (,$(filter powerpc,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=ppc
else ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=ppc64
else ifneq (,$(filter ppc64el,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=ppc64
else ifneq (,$(filter riscv64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=riscv64
else ifneq (,$(filter s390x,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=s390x
else ifneq (,$(filter sh4,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=sh4
else ifneq (,$(filter sparc64,$(DEB_HOST_ARCH)))
EXTRA_FLAGS := $(EXTRA_FLAGS) -DWITH_ARCH=sparc64
endif

# basilgello: If cross-compiling, tell Kodi to look for native prerequisites
# in $(CURDIR)/native-tools, where the override_dh_autoconfigure step builds
# them for the build architecture (the native architecture of builder machine)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
EXTRA_FLAGS := $(EXTRA_FLAGS) \
	-DWITH_JSONSCHEMABUILDER=$(CURDIR)/native-tools/bin/JsonSchemaBuilder \
	-DWITH_TEXTUREPACKER=$(CURDIR)/native-tools/bin/TexturePacker
endif

# Kodi configuration options
#
KODI_OPTS=\
-DVERBOSE=1 \
-DUSE_LTO=$(NUMCPU) \
-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-DENABLE_AIRTUNES=ON \
-DENABLE_ALSA=ON \
-DENABLE_AVAHI=ON \
-DENABLE_BLURAY=ON \
-DENABLE_CEC=ON \
-DENABLE_DBUS=ON \
-DENABLE_DEBUGFISSION=OFF \
-DENABLE_DVDCSS=OFF \
-DENABLE_EVENTCLIENTS=ON \
-DENABLE_INTERNAL_CROSSGUID=OFF \
-DENABLE_INTERNAL_DATE=OFF \
-DENABLE_INTERNAL_FFMPEG=OFF \
-DENABLE_INTERNAL_KISSFFT=OFF \
-DENABLE_INTERNAL_LIBDVD=ON \
-DENABLE_INTERNAL_RapidJSON=OFF \
-DENABLE_INTERNAL_TZDATA=OFF \
-DENABLE_MICROHTTPD=ON \
-DENABLE_MYSQLCLIENT=ON \
-DENABLE_NFS=ON \
-DENABLE_OPTICAL=ON \
-DENABLE_PULSEAUDIO=ON \
-DENABLE_SMBCLIENT=ON \
-DENABLE_UDEV=ON \
-DENABLE_UPNP=ON \
-DENABLE_VAAPI=ON \
-DENABLE_VDPAU=ON \
-DENABLE_XSLT=ON \
-DLIBDVDREAD_URL=$(DVDREAD_URL) \
-DLIBDVDNAV_URL=$(DVDNAV_URL) \
-DENABLE_LIRCCLIENT=ON \
-DNEON=False \
-DCORE_PLATFORM_NAME="$(KODI_PLATFORMS)" \
-DAPP_RENDER_SYSTEM=gl \
$(EXTRA_FLAGS)

%:
	dh $@ --buildsystem cmake --with python3

override_dh_clean:
	#‌ Clean the optional language packs originating in repo-resources-embedded
	#‌ We rely on the fact that there are no optional resource.language.* in
	# system/addon-manifest.xml
	cd repo-resources-embedded && for i in resource.language.*; do \
		if grep -q "<addon optional=\"true\">$$i</addon>" \
			$(CURDIR)/system/addon-manifest.xml; \
		then \
			echo "Cleaning language pack $$i"; \
			rm -rf $(CURDIR)/addons/$$i; \
			sed -i "/<addon optional=\"true\">$$i</d" \
				$(CURDIR)/system/addon-manifest.xml; \
			sed -i "/$$i\//d" \
				$(CURDIR)/cmake/installdata/common/addons.txt; \
		fi; \
	done
	# ‌Perform the rest of cleaning
	dh_clean \
		addons/skin.estuary/media/from-debian-logo.png \
		addons/webinterface.default/ \
		debian/dh-addon/*.1 \
		lib/gtest/ \
		media/Fonts/arial.ttf \
		native-tools/ \
		tools/depends/native/JsonSchemaBuilder/native/ \
		tools/depends/native/JsonSchemaBuilder/.installed-native \
		tools/depends/native/TexturePacker/native/ \
		tools/depends/native/TexturePacker/.installed-native \
		$(DVDNAV_URL) \
		$(DVDREAD_URL)

# fall back to old location of DejaVuSans.ttf if needed
ifneq ("$(wildcard /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf)","")
DEJAVUSANS=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
else
DEJAVUSANS=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
endif

media/Fonts/arial.ttf: debian/mergefonts.ff
	# work around #948876 until fontforge is fixed by using cached result
	fontforge -script $< \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		$(DEJAVUSANS) \
		$@ || cp debian/extra/arial.ttf $@

lib/gtest/lib/.libs/libgtest.a:
	cp -r /usr/src/gtest/ $(CURDIR)/lib/ && mkdir -p $(CURDIR)/lib/gtest/lib/.libs

addons/skin.estuary/media/from-debian-logo.png: debian/from-debian-logo.svg
	rsvg-convert -w 250 -h 82 -o $@ $<

embedded-libs:
	#‌ Copy default webinterface addon
	cp -r $(CURDIR)/debian/webinterface-default $(CURDIR)/addons/webinterface.default
	#‌ Copy the optional language packs originating in repo-resources-embedded
	cd repo-resources-embedded && for i in resource.language.*; do \
		echo "Adding language pack $$i"; \
		cp -r $$i $(CURDIR)/addons/$$i; \
		sed -i "/<\/addons>/i\ \ <addon optional=\"true\">$$i<\/addon>" \
			$(CURDIR)/system/addon-manifest.xml; \
		echo "addons/$$i/*"‌ \
			1>>$(CURDIR)/cmake/installdata/common/addons.txt; \
	done
	#‌ Prepare archives from embedded libdvd*
	tar -cf $(DVDNAV_URL) $(DVDNAV_COMPONENT)
	tar -cf $(DVDREAD_URL) $(DVDREAD_COMPONENT)

override_dh_auto_configure: addons/skin.estuary/media/from-debian-logo.png embedded-libs lib/gtest/lib/.libs/libgtest.a media/Fonts/arial.ttf
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	# We are cross-compiling!
	# Produce the JsonSchemaBuilder and TexturePacker
	# prerequisites for the build architecture
	cd tools/depends/native/JsonSchemaBuilder && \
		make NATIVEPREFIX=$(CURDIR)/native-tools
	cd tools/depends/native/TexturePacker && \
		make NATIVEPREFIX=$(CURDIR)/native-tools
endif
	dh_auto_configure -- $(KODI_OPTS) \
		-DLIBDVDREAD_HASH="SHA256=$(shell sha256sum $(DVDREAD_URL) | cut -d' ' -f1)" \
		-DLIBDVDNAV_HASH="SHA256=$(shell sha256sum $(DVDNAV_URL) | cut -d' ' -f1)"

override_dh_auto_build:
	dh_auto_build
	for file in $$(ls debian/dh-addon/dh_*); do \
		pod2man --section=1 --utf8 $$file $$file.1; \
	done

override_dh_auto_test-arch:
	dh_auto_build -- kodi-test
	dh_auto_test -a

# No tests for indep build.

## kodi 20.0+dfsg

=== debian/changelog ===
kodi (2:20.0+dfsg-2) unstable; urgency=high

  * s/gbp.conf: Switch to versioned upstream branches
  * Fix CVE-2023-23082 (Closes: #1031048)

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 13 Feb 2023 10:43:13 +0000

## kodi 20.1%2Bdfsg

=== xbmc/rendering/gles/CMakeLists.txt ===
if(OPENGLES_FOUND)
  set(SOURCES RenderSystemGLES.cpp
              ScreenshotSurfaceGLES.cpp
              GLESShader.cpp)

  set(HEADERS RenderSystemGLES.h
              ScreenshotSurfaceGLES.h
              GLESShader.h)

  core_add_library(rendering_gles)
endif()

=== tools/depends/native/cmake/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 all: .installed-$(PLATFORM)
 
 
-$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE) $(DEPS)
+$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
 	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
 	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
 	cd $(PLATFORM); $(SETENV) $(CONFIGURE)

=== tools/depends/native/giflib/Makefile ===
include ../../Makefile.include
DEPS = ../../Makefile.include Makefile 01-static-lib.patch ../../download-files.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)

# lib name, version
LIBNAME=giflib
VERSION=5.2.1
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz
SHA512=4550e53c21cb1191a4581e363fc9d0610da53f7898ca8320f0d3ef6711e76bdda2609c2df15dc94c45e28bff8de441f1227ec2da7ea827cb3c0405af4faa4736
include ../../download-files.include

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX)

LIBDYLIB=$(PLATFORM)/libgif.a

all: .installed-$(PLATFORM)


$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	-rm -rf $(PLATFORM); mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../01-static-lib.patch

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM) libgif.a CFLAGS="$(NATIVE_CFLAGS)" LDFLAGS="$(NATIVE_LDFLAGS)"

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install-include PREFIX="$(PREFIX)"
	$(MAKE) -C $(PLATFORM) install-lib PREFIX="$(PREFIX)"
	touch $@
clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -r .installed-$(PLATFORM)
	rm -rf $(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/swig/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)

DEPS = ../../Makefile.include Makefile ../../download-files.include

# lib name, version
LIBNAME=swig
VERSION=4.0.2
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz
SHA512=05e7da70ce6d9a733b96c0bcfa3c1b82765bd859f48c74759bbf4bb1467acb1809caa310cba5e2b3280cd704fca249eaa0624821dffae1d2a75097c7f55d14ed
include ../../download-files.include

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --without-alllang --without-x --disable-ccache

LIBDYLIB=$(PLATFORM)/swig

all: .installed-$(PLATFORM)


$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/wayland-scanner/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS =../../Makefile.include Makefile ../../download-files.include

APPNAME=wayland-scanner
PROJECTNAME=wayland
VERSION=1.17.0
SOURCE=$(PROJECTNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.xz
SHA512=c5051aab5ff078b368c196ecfedb33ccd961265bb914845d7ed81de361bb86ae18299575baa6c4eceb0d82cf8b495e8293f31b51d1cbc05d84af0a199ab3f946
include ../../download-files.include

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --disable-libraries --disable-documentation --disable-dtd-validation

APP=$(PLATFORM)/wayland-scanner

all: .installed-$(PLATFORM)


$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(APP): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(APP)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/xz/Makefile ===
include ../../Makefile.include XZ-VERSION ../../download-files.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile XZ-VERSION ../../download-files.include

export LIBTOOL=builds/unix/libtool
export PATH:=$(PREFIX)/bin:$(PATH)
CONFIGURE=./configure --prefix=$(PREFIX)

APP=$(PLATFORM)/src/xz/xz

all: .installed-$(PLATFORM)

$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	-rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(APP): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(APP)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/depends/native/zlib/Makefile ===
include ../../Makefile.include
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)
DEPS = ../../Makefile.include Makefile visibility.patch ../../download-files.include

# lib name, version
LIBNAME=zlib
VERSION=1.2.11
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz
SHA512=73fd3fff4adeccd4894084c15ddac89890cd10ef105dd5e1835e1e9bbb6a49ff229713bd197d203edfa17c2727700fce65a2a235f07568212d820dca88b528ae
include ../../download-files.include
# configuration settings
CONFIGURE= CC="$(CC_FOR_BUILD)" CFLAGS="$(NATIVE_CFLAGS)" ./configure --prefix=$(PREFIX)

LIBDYLIB=$(PLATFORM)/$(LIBNAME).a

all: .installed-$(PLATFORM)


$(PLATFORM): $(DEPS) | $(TARBALLS_LOCATION)/$(ARCHIVE).$(HASH_TYPE)
	rm -rf $(PLATFORM); mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -p1 -i ../visibility.patch
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)
	touch $@

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== xbmc/cores/RetroPlayer/guicontrols/CMakeLists.txt ===
set(SOURCES GUIGameControl.cpp
            GUIRenderSettings.cpp
)

set(HEADERS GUIGameControl.h
            GUIRenderSettings.h
)

core_add_library(retroplayer_guicontrols)

=== xbmc/windowing/osx/SDL/CMakeLists.txt ===
if(SDL_FOUND)
  set(SOURCES WinEventsSDL.cpp
              WinSystemOSXSDL.mm)
  set(HEADERS WinEventsSDL.h
              WinSystemOSXSDL.h)
endif()

if(SOURCES)
  core_add_library(windowing_osx_SDL)
endif()

=== xbmc/cores/VideoPlayer/VideoRenderers/HwDecRender/CMakeLists.txt ===
if(CORE_SYSTEM_NAME STREQUAL windows OR CORE_SYSTEM_NAME STREQUAL windowsstore)
  list(APPEND SOURCES DXVAHD.cpp)
  list(APPEND HEADERS DXVAHD.h)
endif()

if(VAAPI_FOUND)
  if(OPENGL_FOUND)
    list(APPEND SOURCES RendererVAAPIGL.cpp)
    list(APPEND HEADERS RendererVAAPIGL.h)
  endif()
  if(OPENGLES_FOUND)
    list(APPEND SOURCES RendererVAAPIGLES.cpp)
    list(APPEND HEADERS RendererVAAPIGLES.h)
  endif()
  if(EGL_FOUND)
    list(APPEND SOURCES VaapiEGL.cpp)
    list(APPEND HEADERS VaapiEGL.h)
  endif()
endif()

if(VDPAU_FOUND)
  list(APPEND SOURCES RendererVDPAU.cpp
                      VdpauGL.cpp)
  list(APPEND HEADERS RendererVDPAU.h
                      VdpauGL.h)
endif()

if(CORE_SYSTEM_NAME STREQUAL osx)
  if(OPENGL_FOUND)
    list(APPEND SOURCES RendererVTBGL.cpp)
    list(APPEND HEADERS RendererVTBGL.h)
  endif()
endif()

if(CORE_SYSTEM_NAME STREQUAL darwin_embedded)
  if(OPENGLES_FOUND)
    list(APPEND SOURCES RendererVTBGLES.cpp)
    list(APPEND HEADERS RendererVTBGLES.h)
  endif()
endif()

if(CORE_SYSTEM_NAME STREQUAL android)
  list(APPEND SOURCES RendererMediaCodec.cpp
                      RendererMediaCodecSurface.cpp)
  list(APPEND HEADERS RendererMediaCodec.h
                      RendererMediaCodecSurface.h)
endif()

if("gbm" IN_LIST CORE_PLATFORM_NAME_LC OR "wayland" IN_LIST CORE_PLATFORM_NAME_LC)
  if("gbm" IN_LIST CORE_PLATFORM_NAME_LC)
    list(APPEND SOURCES RendererDRMPRIME.cpp
                        VideoLayerBridgeDRMPRIME.cpp)
    list(APPEND HEADERS RendererDRMPRIME.h
                        VideoLayerBridgeDRMPRIME.h)
  endif()

  if(OPENGLES_FOUND)
    list(APPEND SOURCES RendererDRMPRIMEGLES.cpp
                        DRMPRIMEEGL.cpp)
    list(APPEND HEADERS RendererDRMPRIMEGLES.h
                        DRMPRIMEEGL.h)
  endif()
endif()

# we might want to build on linux systems
# with ENABLE_VDPAU=OFF and ENABLE_VAAPI=OFF
if(SOURCES)
  core_add_library(videorenderers_hwdec)
endif()
